public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Craig Andrews" <candrews@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: virtual/opencl/
Date: Thu, 15 Aug 2019 16:27:36 +0000 (UTC)	[thread overview]
Message-ID: <1565886445.0134f7e7e5a250fdb78d152622dd58b702492118.candrews@gentoo> (raw)

commit:     0134f7e7e5a250fdb78d152622dd58b702492118
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 14 19:45:49 2019 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Thu Aug 15 16:27:25 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0134f7e7

virtual/opencl: add dev-libs/rocm-opencl-runtime

Closes: https://bugs.gentoo.org/692158
Package-Manager: Portage-2.3.71, Repoman-2.3.17
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 virtual/opencl/opencl-2.ebuild | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/virtual/opencl/opencl-2.ebuild b/virtual/opencl/opencl-2.ebuild
new file mode 100644
index 00000000000..a8f42249bb9
--- /dev/null
+++ b/virtual/opencl/opencl-2.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit multilib-build
+
+DESCRIPTION="Virtual for OpenCL implementations"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+CARDS=( amdgpu i965 nvidia )
+IUSE="${CARDS[@]/#/video_cards_}"
+
+# intel-neo and intel-ocl-sdk are amd64-only
+RDEPEND="app-eselect/eselect-opencl
+	|| (
+		video_cards_i965? ( || (
+			abi_x86_64? ( !abi_x86_32? ( dev-libs/intel-neo ) )
+			dev-libs/beignet ) )
+		>=media-libs/mesa-9.1.6[opencl,${MULTILIB_USEDEP}]
+		video_cards_amdgpu? ( || (
+			dev-libs/rocm-opencl-runtime
+			dev-libs/amdgpu-pro-opencl ) )
+		video_cards_nvidia? (
+			>=x11-drivers/nvidia-drivers-290.10-r2[uvm] )
+		abi_x86_64? ( !abi_x86_32? ( dev-util/intel-ocl-sdk ) )
+	)"


             reply	other threads:[~2019-08-15 16:39 UTC|newest]

Thread overview: 39+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-08-15 16:27 Craig Andrews [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-23 13:34 [gentoo-commits] repo/gentoo:master commit in: virtual/opencl/ WANG Xuerui
2023-04-13  3:03 Sam James
2023-04-12  6:05 Yixun Lan
2022-10-04  3:18 Sam James
2022-07-26  4:49 Sam James
2022-07-24  1:07 Sam James
2022-07-24  1:04 Sam James
2021-05-23 12:54 Marek Szuba
2020-08-25 10:39 Marek Szuba
2020-05-18 20:40 Matt Turner
2020-05-14 21:29 Thomas Deutschmann
2020-05-12 12:50 Mikle Kolyada
2020-04-10 13:31 Marek Szuba
2020-04-01 21:15 Marek Szuba
2020-04-01 21:15 Marek Szuba
2020-03-25 13:36 Marek Szuba
2020-03-11 20:19 Matt Turner
2020-02-28 12:08 Marek Szuba
2020-02-28 12:03 Marek Szuba
2020-02-25  9:07 Marek Szuba
2020-02-24 19:11 Marek Szuba
2019-09-21 17:11 Matt Turner
2019-09-20 12:17 Agostino Sarubbo
2019-09-20 12:14 Agostino Sarubbo
2019-07-10 18:07 Marek Szuba
2019-05-08 19:21 Mikle Kolyada
2019-04-25 22:32 Pacho Ramos
2019-04-19 22:39 Pacho Ramos
2018-07-09 16:51 Michał Górny
2018-05-12  2:45 Matt Turner
2018-05-07 19:22 Thomas Deutschmann
2018-05-06 12:26 Mikle Kolyada
2017-11-24  6:06 Matt Turner
2017-08-09 15:10 Marek Szuba
2017-06-18 16:46 Alexis Ballier
2017-03-25  0:45 Matt Turner
2017-01-26 10:40 Marek Szuba
2017-01-25  1:00 Matt Turner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1565886445.0134f7e7e5a250fdb78d152622dd58b702492118.candrews@gentoo \
    --to=candrews@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox